Open SCAP Library

Functions | Variables
oval_cmp_evr_string_impl.h File Reference

Open Vulnerability and Assessment Language. More...

`#include "../common/util.h"`
`#include "oval_definitions.h"`
`#include "oval_types.h"`

Go to the source code of this file.

## Functions
oval_result_t | oval_evr_string_cmp (const char *state, const char *sys, oval_operation_t operation)
| Compare two EVR (Epoch:Version-Release) strings. More...
oval_result_t | oval_versiontype_cmp (const char *state, const char *syschar, oval_operation_t operation)

## Variables
| OSCAP_HIDDEN_START
| OSCAP_HIDDEN_END

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/

## Function Documentation

## ◆ oval_evr_string_cmp()

oval_result_t oval_evr_string_cmp | ( | const char * | state,
|  | const char * | sys,
|  | oval_operation_t | operation
| ) |  |

Compare two EVR (Epoch:Version-Release) strings.

The format of input types shall conform to EntityStateEVRStringType. Comparisons involving this datatype follow the algorithm of librpm's rpmvercmp() function.

Parameters

  state | evr_string as defined by state element
  sys | evr_string as captured from system (from syschar object)
  operation | type of comparison operation

Returns
  result of comparison